package com.ruoyi.buyerapi.domain;

import java.math.BigDecimal;
import java.util.Date;
import java.util.List;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.Value;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 立项管理验收资料对象 buyer_project_accept
 *
 * @author ruoyi
 * @date 2022-09-22
 */
@ApiModel(value = "立项管理验收资料对象")
@Data
public class BuyerProjectAccept extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** id */
    @ApiModelProperty(value = "id")
    private String id;

    /** 备注 */
    @ApiModelProperty(value = "备注")
    @Excel(name = "备注")
    private String remarks;

    /** 删除标志（0代表存在 1代表删除） */
    @ApiModelProperty(value = "删除标志（0代表存在 1代表删除）")
    private String delFlag;

    /** 公司id */
    @Excel(name = "公司id")
    @ApiModelProperty(value = "公司id")
    private String deptId;

    /** 立项管理id */
    @Excel(name = "立项管理id")
    @ApiModelProperty(value = "立项管理id")
    private String projectId;

    /** 立项管理名称 */
    @Excel(name = "立项管理名称")
    @ApiModelProperty(value = "立项管理名称")
    private String projectName;

    /** 验收名称 */
    @Excel(name = "验收名称")
    @ApiModelProperty(value = "验收名称")
    private String name;

    /** 验收日期 */
    @ApiModelProperty(value = "验收日期")
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "验收日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date date;

    /** 验收状态（0：未验收；1：已验收；2：项目终止） */
    @ApiModelProperty(value = "验收状态（0：未验收；1：已验收；2：项目终止）")
    @Excel(name = "验收状态（0：未验收；1：已验收；2：项目终止）")
    private String status;

    /** 说明 */
    @ApiModelProperty(value = "说明")
    @Excel(name = "说明")
    private String result;

    /** 实际费用 */
    @ApiModelProperty(value = "实际费用")
    @Excel(name = "实际费用")
    private BigDecimal actual;

    /** 预算费用 */
    @ApiModelProperty(value = "预算费用")
    @Excel(name = "预算费用")
    private BigDecimal budget;

    /** 关联文件 */
    @ApiModelProperty(value = "关联文件")
    private List<BuyerFileInfo> buyerFileInfos;

    /** 文件信息 */
    @ApiModelProperty(value = "文件信息")
    private String fileNames;

    /** 验收负责人 */
    @ApiModelProperty(value = "验收负责人")
    private String personLiable;

    public void setId(String id)
    {
        this.id = id;
    }

    public String getId()
    {
        return id;
    }
    public void setRemarks(String remarks)
    {
        this.remarks = remarks;
    }

    public String getRemarks()
    {
        return remarks;
    }
    public void setDelFlag(String delFlag)
    {
        this.delFlag = delFlag;
    }

    public String getDelFlag()
    {
        return delFlag;
    }
    public void setDeptId(String deptId)
    {
        this.deptId = deptId;
    }

    public String getDeptId()
    {
        return deptId;
    }
    public void setProjectId(String projectId)
    {
        this.projectId = projectId;
    }

    public String getProjectId()
    {
        return projectId;
    }
    public void setName(String name)
    {
        this.name = name;
    }

    public String getName()
    {
        return name;
    }
    public void setDate(Date date)
    {
        this.date = date;
    }

    public Date getDate()
    {
        return date;
    }
    public void setStatus(String status)
    {
        this.status = status;
    }

    public String getStatus()
    {
        return status;
    }
    public void setResult(String result)
    {
        this.result = result;
    }

    public String getResult()
    {
        return result;
    }
    public void setActual(BigDecimal actual)
    {
        this.actual = actual;
    }

    public BigDecimal getActual()
    {
        return actual;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("remarks", getRemarks())
            .append("delFlag", getDelFlag())
            .append("deptId", getDeptId())
            .append("projectId", getProjectId())
            .append("name", getName())
            .append("date", getDate())
            .append("status", getStatus())
            .append("result", getResult())
            .append("actual", getActual())
            .toString();
    }
}
